zenilib: Zeni::Game::Controller_Mouse Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
Zeni::Game::Controller_Mouse Struct Reference

`#include <Game.h>`

## Public Member Functions

| Controller_Mouse ()

## Public Attributes

Point2i | controller_axes
bool | enabled
SDL_GameControllerButton | escape
SDL_GameControllerButton | left_click
Point2i | noise_zone
Point2f | pixels_per_second
SDL_GameControllerButton | scroll_down
SDL_GameControllerButton | scroll_up
Point2i | velocity

## Detailed Description

Definition at line 118 of file Game.h.

## Constructor & Destructor Documentation

Zeni::Game::Controller_Mouse::Controller_Mouse | ( |  | ) |

inline

Definition at line 119 of file Game.h.

## Member Data Documentation

Point2i Zeni::Game::Controller_Mouse::controller_axes

Definition at line 133 of file Game.h.

bool Zeni::Game::Controller_Mouse::enabled

Definition at line 131 of file Game.h.

Referenced by Zeni::Title_State< PLAY_STATE, INSTRUCTIONS_STATE >::on_cover(), Zeni::Widget_Gamestate::on_pop(), Zeni::Widget_Gamestate::on_push(), Zeni::Title_State< PLAY_STATE, INSTRUCTIONS_STATE >::on_push(), and Zeni::Title_State< PLAY_STATE, INSTRUCTIONS_STATE >::on_uncover().

SDL_GameControllerButton Zeni::Game::Controller_Mouse::escape

Definition at line 139 of file Game.h.

SDL_GameControllerButton Zeni::Game::Controller_Mouse::left_click

Definition at line 138 of file Game.h.

Point2i Zeni::Game::Controller_Mouse::noise_zone

Definition at line 134 of file Game.h.

Point2f Zeni::Game::Controller_Mouse::pixels_per_second

Definition at line 136 of file Game.h.

SDL_GameControllerButton Zeni::Game::Controller_Mouse::scroll_down

Definition at line 140 of file Game.h.

SDL_GameControllerButton Zeni::Game::Controller_Mouse::scroll_up

Definition at line 141 of file Game.h.

Point2i Zeni::Game::Controller_Mouse::velocity

Definition at line 135 of file Game.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/zenilib/zeni_rest/Zeni/Game.h